List products
curl --request GET \
--url https://api-sandbox.beinfi.com/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.beinfi.com/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.beinfi.com/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"products": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"type": "agent",
"description": "<string>",
"pricingModel": "subscription",
"currency": "BRL",
"status": "active",
"imageUrl": "<string>",
"requiresShipping": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"message": "<string>",
"error_code": "internal_error",
"tracer_id": "<string>"
}Catalog
List products
Returns the products in your account’s catalog.
GET
/
products
List products
Authorizations
Your account's secret key: Authorization: Bearer sk_test_… or sk_live_…. Server-side only.
Query Parameters
How many items to return.
Required range:
x >= 0How many items to skip.
Required range:
x >= 0Response
The account's products.
Show child attributes
Show child attributes